package xn.hxp.http;

import androidx.annotation.NonNull;

import com.hjq.http.config.IRequestApi;
import com.hjq.http.config.IRequestBodyStrategy;
import com.hjq.http.config.IRequestServer;
import com.hjq.http.model.RequestBodyType;

import xn.hxp.room.RoomTool;
import xn.hxp.room.bean.DeviceInfo;

public class RequestServer implements IRequestServer {
    @NonNull
    @Override
    public String getHost() {
//        DeviceInfo sqlDeviceInfo = RoomTool.getInstance().deviceInfoDao().getDeviceInfo();
        return "http://192.168.1.8";
    }


    @NonNull
    @Override
    public IRequestBodyStrategy getBodyType() {
        return RequestBodyType.JSON;
    }
}
